#!/bin/sh

# This wrapper is used to run Gnans in an environement not corresponding
# to the compiled-in filenames, and to make sure that ``make'' etc are
# in the path.

# This file also lists all environment variables.

# This file is normally not installed.
# If making a binary distribution, PLEASE include this file.
# (Instead of telling people to define a zillion environment variables, 
# including LD_LIBRARY_PATH, in their environment.)


prefix=/usr/local
exec_prefix=${prefix}

bindir=${exec_prefix}/bin
sbindir=${exec_prefix}/sbin
libexecdir=${exec_prefix}/libexec
datadir=${prefix}/share
sysconfdir=${prefix}/etc
sharedstatedir=${prefix}/com
localstatedir=${prefix}/var
libdir=${exec_prefix}/lib
infodir=${prefix}/info
mandir=${prefix}/man
includedir=${prefix}/include
oldincludedir=/usr/include

pkgdatadir=${datadir}/gnans
pkglibdir=${libdir}/gnans
pkgincludedir=${includedir}/gnans

GNANSLATOR=${libexecdir}/gnanslator; export GNANSLATOR
GNANSINCLUDES=${pkgincludedir}; export GNANSINCLUDES
GNANSMAKEFILE=${pkgdatadir}/Makefile.gnanscompile; export GNANSMAKEFILE

# If necessary, adjust LD_LIBRARY_PATH
LD_LIBRARY_PATH=.:${pkglibdir}; export LD_LIBRARY_PATH

# If the application defaults is not in the standard place
# (typically /usr/lib/X11/app-defaults, set XAPPLRESDIR
# XAPPLRESDIR=${GNANSLIB}/app-defaults; export XAPPLRESDIR

# If Gnans was compiled with another path to the AFM files,
# fix this here
AFMPATH=${pkgdatadir}/afm; export AFMPATH

# Make sure that the execute path contains the compiler and the make program
# Here, we support both SunOS 4.x and SunOS 5.x ("Solaris")
# (Note however, that the generated .so files are NOT compatible, sigh...)

# This is SunOS 5.x ("Solaris")
PATH=/usr/local/bin:/usr/ccs/bin:/usr/bin ; export PATH

# Now fire up the main program
exec ${bindir}/gnans "$@"
