/* -*- c++ -*-
Copyright  1993 Bengt Mrtensson and Institute for Dynamical Systems.

This file is part of Gnans.

Gnans is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2, or (at your option) any later
version.

Gnans is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Gnans; see the file COPYING.  If not, write to the 
Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

// $Id: Enums.h,v 1.5 1994/01/30 20:50:11 bengt Exp $

#ifndef _Enums_h
#define _Enums_h

////////////////////////////////////////////////////////////////

enum Continuation {
  init_all    = 0,
  init_none   = 1,
  init_states = 2		// States but not RNG's 
};

// Error severities
enum  severity {
  // These calls exit with itself as error code
  impossible = 1,		// This cannot happen, dump core 
  run_fatal = 2,		// Fatal error in algo 
  fatal = 3,			// Quit program 
  just_say_no = 4,		// Refuse to run 
  lock_exists = 5,		// Refuse to run due to lock file
  coredump = 6,			// Dump core 

  // These are not fatal
  non_fatal = 7,		// Stop simulation or script 
  parse = 8,			// Error during parsing (syntax)
  semantic = 9,			// Error during parsing (semantics) 
  recoverable = 10,		// Possibility to continue run 
  debug = 11,			// Debugging message 
  warning = 12,			// Warnings 
  message = 13,			// Just some information (but problem) 
  nonerror_message = 14,	// Just some information, continue 
  signal_handler_message = 15,	// A message from a signal handler
  terminate_simulation = 16	// Terminate current simulation
};

// Types of systems
enum SystemType {
  continuous,
  discrete,
  hybrid,
  das,
  riccati,
  undefined
};

#endif
