/* -*- c++ -*-
 Copyright (C) 1992 Bengt Martensson and Institute for Dynamical Systems.

This file is part of Gnans.

Gnans is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2, or (at your option) any later
version.

Gnans is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Gnans; see the file COPYING.  If not, write to the 
Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

// $Id: gnans.h,v 1.19 1993/11/22 18:22:55 bengt Exp $

// This file defines types, classes, and compilation constants

#ifndef _gnans_h
#define _gnans_h

// Define a symbol stating that we are a part of Gnans.
#define GNANS

// This is just to get as much type checking as possible during program
// development
#ifdef PedanticFunctionPrototypes
#ifdef NeedFunctionPrototypes
#undef NeedFunctionPrototypes
#endif
#define NeedFunctionPrototypes YES

#ifdef NeedVarargsPrototypes
#undef NeedVarargsPrototypes
#endif
#define NeedVarargsPrototypes YES

#ifdef String
#undef String
#endif
#define String XtString
#include <X11/Xfuncproto.h>	// Missing under OpenWindows 3.0
#undef String
#endif				// PedanticFunctionPrototypes
/**************** Compilation constants ****************/

const unsigned short int MAXSTRINGSIZE = 255;

// More memory is allocated for trajectories using this a the least unit
// Should NOT be a number like `10000' 
const unsigned int MALLOCUNIT = 65536;

// Microsecond between alarms for workprocs.
const unsigned int TIMESLICE = 50000;

// How many internal parameters?
const unsigned int number_of_internals = 12;

// External file names.
// Some filenames are defined in paths.h (automatically generated).
#ifndef GNANSSTOREFILENAME
#define GNANSSTOREFILENAME "gstore"
#endif
#ifndef GNANSWIWFILENAME
#define GNANSWIWFILENAME "gstore.wiw"
#endif
#ifndef GNANSPARAMETERFILENAME
#define GNANSPARAMETERFILENAME "gstore.par"
#endif
#ifndef GNANSLOCKFILENAME
#define GNANSLOCKFILENAME ".gnanslock"
#endif
#ifndef GNANSLOGFILENAME
#define GNANSLOGFILENAME "gnans.log"
#endif
#ifndef SHARED_OBJECT_ENDING
#define SHARED_OBJECT_ENDING "so"
#endif
#ifndef GNANSSTARTUPFILENAME
#define GNANSSTARTUPFILENAME ".gnans"
#endif

#define READLINE

#endif // ! _gnans_h
